This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 802698 - max-qmf-table-sort doesn't work as expected
max-qmf-table-sort doesn't work as expected
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: cumin (Show other bugs)
Development
Unspecified Unspecified
medium Severity unspecified
: 3.2
: ---
Assigned To: Chad Roberts
Stanislav Graf
: Regression, Reopened, TestCaseProvided
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-13 06:06 EDT by Stanislav Graf
Modified: 2013-05-06 09:52 EDT (History)
5 users (show)

See Also:
Fixed In Version: cumin-0.1.5357-1
Doc Type: Bug Fix
Doc Text:
Consequence: Tables with a large number of rows (greater than max-qmf-table-sort) would not be sortable, but would still show the "sort ascending/descending" link, which when clicked would not actually do any sorting and could be confusing to the user. Cause: max-qmf-table-sort was not being respected when the decision was made to make the table column header static or live. Fix: We are now checking the count of the rows in the table against max-qmf-table-sort before choosing the type of column header. Result: The table headers for tables with > max-qmf-table-sort rows will no longer be clickable links.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-06 09:52:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stanislav Graf 2012-03-13 06:06:29 EDT
Description of problem:
In reply to Bug 673178, comment 0
Parameter max-qmf-table-sort doesn't work as expected.

Version-Release number of selected component (if applicable):
cumin-0.1.5233-1.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. [root@sgraf-cumin6x ~]# grep --invert-match ^# /etc/cumin/cumin.conf | grep -B 1 ^max-qmf-table-sort 
[web]
max-qmf-table-sort: 1
2. service cumin restart
3. submit 2 job with 2 different limits
4. cumin - grid - limits
5. Try to sort columns
  
Actual results:
When a QMF table is not
sortable, the column headers are active links. But sort isn't performed.

Expected results:
When a QMF table is not
sortable, the column headers shall not be active links.

Additional info:
Comment 3 Chad Roberts 2012-04-25 12:46:50 EDT
Fixed in revision 5347.

For tables with > max-qmf-table-sort rows, the column headers will be static.
Comment 4 Chad Roberts 2012-04-25 12:50:24 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Consequence:  Tables with a large number of rows (greater than max-qmf-table-sort) would not be sortable, but would still show the "sort ascending/descending" link, which when clicked would not actually do any sorting and could be confusing to the user.

Cause:  max-qmf-table-sort was not being respected when the decision was made to make the table column header static or live.

Fix:  We are now checking the count of the rows in the table against max-qmf-table-sort before choosing the type of column header.

Result:  The table headers for tables with > max-qmf-table-sort rows will no longer be clickable links.
Comment 16 Stanislav Graf 2013-04-05 05:35:08 EDT
Test Case:
Prepare environment:
# echo 'TEST1_LIMIT = 1' > /etc/condor/config.d/99cumin.config
# echo 'TEST2_LIMIT = 1' > /etc/condor/config.d/99cumin.config
# service condor restart
# getent passwd test || adduser test
# echo -e "executable=/bin/sleep\narguments=10\niwd=/tmp\nconcurrency_limits=TEST1\nqueue" | runuser -s /bin/bash -c "condor_submit " test
# echo -e "executable=/bin/sleep\narguments=10\niwd=/tmp\nconcurrency_limits=TEST2\nqueue" | runuser -s /bin/bash -c "condor_submit " test

Test:
# grep max-qmf-table-sort /etc/cumin/cumin.conf
# max-qmf-table-sort: 1000
Cumin -> Grid -> Limits
-> sortable

# sed -i 's,^# max-qmf-table-sort:.*,max-qmf-table-sort: 1,' /etc/cumin/cumin.conf
# grep max-qmf-table-sort /etc/cumin/cumin.conf
max-qmf-table-sort: 1
# service cumin restart
Cumin -> Grid -> Limits
-> The table headers for tables with > max-qmf-table-sort rows are no longer clickable links
Comment 17 Stanislav Graf 2013-04-05 05:45:20 EDT
Reproduced
RHEL 6 x86_64
cumin-0.1.5444-3

Verified
RHEL 5/6 i386/x86_64
cumin-0.1.5675-1

--> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.